Subject: Re: [PATCH 0/4] DTC: Introduce better DTS literal support

From: David Gibson <[email-masked]>
Date: Sat, 20 Oct 2007 08:57:15 +1000

On Fri, Oct 19, 2007 at 12:42:02PM -0500, Jon Loeliger wrote:
> Folks,
> 
> This 4 part patch series for the DTC has:
> 
>     0001-Reformat-grammar-rules-to-not-mix-language-syntax-an.patch
>     0002-Quiet-a-bogus-May-be-used-uninitialized-warning.patch
>     0003-Appease-the-printf-format-Gods-with-a-correct-typ.patch
>     0004-Begin-the-path-to-sane-literals-and-expressions.patch
> 
> The first is a pure whitespace formatting cleaning.
> The second two clean compiler warnings.
> The final one introduces a versioned DTS file with
>     support for C-like literals.

I certainly have some comments on these, but I'm busy today and won't
be able to comment in detail until Monday or so.  Please don't apply
them to mainline before then?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson